<div class="alert alert-danger"
    *ngIf="errorMessage"
    role="alert">
  {{errorMessage}}
</div>
<div class="place-details">
  <pm-spinner [isRunning]="isRequesting" delay="0"></pm-spinner>

  <h3>Details of place</h3>
  <p class="header">
    <img class="icon" src="{{place.icon}}" alt="{{place.name}}"> <strong>{{place.name}}</strong>
  </p>
  <div class="photos">
    <div class="photo"
        *ngFor="let photo of place.photos">
        <div class="inner">
          <img src="https://maps.googleapis.com/maps/api/place/photo?maxwidth=200&photoreference={{ photo.photo_reference }}&key={{ googleAPI }}">
        </div>
    </div>
  </div>
  <div class="vicinity">
    <p>Vicinity:</p>
    <span>{{place.vicinity}}</span>
  </div>
  <div class="location"
      *ngIf="place.geometry">
    <p>Location:</p>
    <ul>
      <li>
        <span>latitude</span> <strong>{{place.geometry.location.lat}}</strong>
      </li>
      <li>
        <span>longitude</span><strong>{{place.geometry.location.lng}}</strong>
      </li>
    </ul>
  </div>
</div>
